{% extends "dash/layouts/default.html" %}
{% load member_url from interestgroup %}
{% block title %} Setup {% endblock title %}

{% block stylesheets %}{% endblock stylesheets %}

{% block content %}
<div class="row gap-20 masonry pos-r">
  <div class="masonry-sizer col-12"></div>
  <div class="masonry-item col-12">
    Initial setup can be done here
  </div>
  <div class="masonry-item col-12">
      <div class="bgc-white p-20 bd" style="min-height: 200px;">
          <div class="row mb-4">
          <div class="col-12">
          </div>
          </div>
          <div class="row">
            <div class="col-12">
              {% if not fosscell_chief %}
              <h4>Assign FOSSCell Chief</h4>
              <form action='' method='post'>{% csrf_token %}
                <p>
                  <label>Username: </label>
                  <input name="username" type="text"><br>
                </p>
                <p>
                  <input type="submit" name="submit" value="assign-fosscell-chief" class="btn btn-danger">
                </p>
              </form>
              {% else %}
              <h4>FOSSCell Chief</h4>
              <div class="peers fxw-nw ai-c p-20 bdB bgc-white bgcH-grey-50">
                <div class="peer">
                    <img src="{{ fosscell_chief.get_avatar_url }}" alt="" class="w-3r h-3r bdrs-50p">
                </div>
                <a class="peer peer-greed pL-20" href="{% member_url fosscell_chief.username %}">
                    <h6 class="mB-0 lh-1 fw-400">{{ fosscell_chief.get_full_name }}</h6>
                </a>
              </div>
              {% endif %}
            </div>
          </div>
      </div>
  </div>
</div>
{% endblock content %}
